## AudioTrackButton

The base class for buttons that toggle specific AudioTrack types.

## Constructor

#### new AudioTrackButton(player, optionsopt)
`control-bar/audio-track-controls/audio-track-button.js`, `line 13`

  Creates an instance of this class.

  ##### Parameters:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `player` | Player |  |  | The `Player` that this class should be attached to.
  `options` | Object | <optional> | {} | The key/value store of player options.

### Extends

- TrackButton

### Methods

#### buildCSSClass() → {string}
`control-bar/audio-track-controls/audio-track-button.js`, `line 36`

  Builds the default DOM `className`.

  ##### Returns:

  string -

  The DOM `className` for this object.

#### createItems(itemsopt) → {Array.<AudioTrackMenuItem>}
`control-bar/audio-track-controls/audio-track-button.js`, `line 53`

  Create a menu item for each audio track

  ##### Parameters:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `items` | Array.<AudioTrackMenuItem> | <optional> | [] | An array of existing menu items to use.

  ##### Returns:

  Array.<AudioTrackMenuItem> -

  An array of menu items